AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Util
ThreadPool Class
ThreadPool Constructor
ThreadPool Methods

| ThreadPool Constructor

Creates a new ThreadPool of numThreads size. These Threads are waiting for jobs to be added via the addJob method.

Namespace: AsterNET.Util
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public ThreadPool(
    	string name,
    	int numThreads
    )

    Public Sub New (
    	name As String,
    	numThreads As Integer
    )

    public:
    ThreadPool(
    	String^ name,
    	int numThreads
    )

    new :
            name : string *
            numThreads : int -> ThreadPool

#### Parameters

name
  Type: System
  String
  the name to use for the thread group and worker threads.
numThreads
  Type: System
  Int32
  the number of threads to create.

See Also

#### Reference

ThreadPool Class
AsterNET.Util Namespace